import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export type ThemeProviderElementType = HTMLDivElement;
export type RenderProps = () => JSX.Element;
export interface ThemeProviderProps extends CommonAndHTMLProps<ThemeProviderElementType> {
    theme?: {
        [key: string]: string;
    };
    customColors?: {
        [key: string]: string;
    };
    currentTheme?: string;
}
export declare const ThemeProvider: React.ForwardRefExoticComponent<ThemeProviderProps & React.RefAttributes<HTMLDivElement>>;
